## org.eclipse.datatools.sqltools.common.ui.util
Class Images

    java.lang.Object
      org.eclipse.datatools.sqltools.common.ui.util.Images

    public class Images

extends java.lang.Object

Field Summary
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_CHECKED`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_CHECKED_READONLY`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_OTHER_CHECKED`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_OTHER_UNCHECKED`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SAVEAS`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_UNCHECKED`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_UNCHECKED_READONLY`
`static java.lang.String` `IMG_CHECKED`
`static java.lang.String` `IMG_CHECKED_READONLY`
`static java.lang.String` `IMG_OTHER_CHECKED`
`static java.lang.String` `IMG_OTHER_UNCHECKED`
`static java.lang.String` `IMG_SAVEAS`
`static java.lang.String` `IMG_UNCHECKED`
`static java.lang.String` `IMG_UNCHECKED_READONLY`

Constructor Summary
`Images()`

Method Summary
`static org.eclipse.swt.graphics.Image` `get(java.lang.String key)` Returns the image managed under the given key in this registry.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMG_OTHER_CHECKED

    public static final java.lang.String IMG_OTHER_CHECKED

See Also:
  Constant Field Values

### IMG_OTHER_UNCHECKED

    public static final java.lang.String IMG_OTHER_UNCHECKED

See Also:
  Constant Field Values

### IMG_SAVEAS

    public static final java.lang.String IMG_SAVEAS

See Also:
  Constant Field Values

### DESC_OTHER_CHECKED

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_OTHER_CHECKED

### DESC_OTHER_UNCHECKED

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_OTHER_UNCHECKED

### DESC_SAVEAS

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SAVEAS

### IMG_CHECKED

    public static final java.lang.String IMG_CHECKED

See Also:
  Constant Field Values

### IMG_UNCHECKED

    public static final java.lang.String IMG_UNCHECKED

See Also:
  Constant Field Values

### IMG_CHECKED_READONLY

    public static final java.lang.String IMG_CHECKED_READONLY

See Also:
  Constant Field Values

### IMG_UNCHECKED_READONLY

    public static final java.lang.String IMG_UNCHECKED_READONLY

See Also:
  Constant Field Values

### DESC_CHECKED

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_CHECKED

### DESC_UNCHECKED

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_UNCHECKED

### DESC_CHECKED_READONLY

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_CHECKED_READONLY

### DESC_UNCHECKED_READONLY

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_UNCHECKED_READONLY

Constructor Detail

### Images

    public Images()

Method Detail

### get

    public static org.eclipse.swt.graphics.Image get(java.lang.String key)

  Returns the image managed under the given key in this registry.

  Parameters:
    `key` - the image's key
  Returns:
    the image managed under the given key